/// <reference types="react-native" />
/// <reference types="react" />
import React from 'react';
import ReactN from 'react-native';
export interface AppContainerProps {
    themeOptions?: Muix.ThemeOptions;
}
export declare const classesToPlatformSheet: (theme: Muix.ThemeNew, classes: Muix.ThemeValueOrCreator<Partial<Muix.SheetXCommon<Muix.Shape> & Muix.SheetXNative<Muix.Shape> & Muix.SheetXWeb<Muix.Shape>>>) => Muix.Sheet<Muix.Shape>;
export declare const sheetCreator: <R extends Muix.Shape>(sheetXCreator: Muix.ThemeCreator<Muix.SheetX<R>>) => Muix.ThemeCreator<Muix.Sheet<R>>;
export declare const toPlatformRuleSetX: (style: Muix.RulesetX<ReactN.TextStyle, Muix.DefaultEmptyShape>, isNative: boolean) => React.CSSProperties | ReactN.ScrollViewStyle | ReactN.ImageStyle | Muix.RNIconStyle;
export declare const clearSystemProps: (obj: any) => any;
export declare const toPlatformSheetX: (sheet: Partial<Muix.SheetXCommon<Muix.Shape> & Muix.SheetXNative<Muix.Shape> & Muix.SheetXWeb<Muix.Shape>>, isNative: boolean) => Muix.Sheet<Muix.Shape>;
export declare const MuiThemeContextTypes: {
    theme: any;
};
export declare const MuiOverridesContextTypes: {
    childOverrides: any;
};
export declare const getDefaultTheme: () => Muix.ThemeNew;
declare function createMuiTheme(options?: Muix.ThemeOptions): Muix.ThemeNew;
export default createMuiTheme;
