/// <reference types="react" />
/// <reference types="react-native" />
import React from 'react';
import ReactN from 'react-native';
export { default as createTypography } from '../common/createTypography';
export declare const toPlatformRuleSet: <T extends Muix.CSSPropertiesNative>(style: Muix.RulesetX<T, Muix.DefaultEmptyShape>) => T;
export declare const toPlatformSheet: <R extends Muix.Shape>(rules: Partial<Muix.SheetXCommon<R> & Muix.SheetXNative<R> & Muix.SheetXWeb<R>>) => Muix.SheetNative<R>;
export { default as MuiThemeProvider } from '../common/MuiThemeProvider';
export declare const MuiThemeProviderInner: React.ComponentType<Muix.IMuiThemeProps>;
export declare const shadows: ReactN.ViewStyle[];
export { sheetCreator, clearSystemProps, default as createMuiTheme, AppContainerProps, classesToPlatformSheet, getDefaultTheme, MuiThemeContextTypes } from '../common/index';
export { AppContainer } from './withStyles';
export { default as withStyles } from '../common/withStyles';
export * from '../common/withStyles';
