import { toPlatformSheetX, toPlatformRuleSetX } from '../common/index';
import getShadows from 'muix-shadows';
export { default as createTypography } from '../common/createTypography';
export const toPlatformRuleSet = (style) => toPlatformRuleSetX(style, true);
export const toPlatformSheet = (rules) => toPlatformSheetX(rules, true);
//const round = (value: number) => Math.round(value * 1e5) / 1e5
//const shadow = (deep: number) => ({
//  elevation: round(elev = elev + 0.25),
//  shadowOpacity: 0.24, //round(0.0015 * deep + 0.18),
//  shadowRadius: round(0.54 * deep),
//  shadowOffset: {
//    height: 0.6 * deep,
//  },
//} as ReactN.ViewStyle)
export { default as MuiThemeProvider } from '../common/MuiThemeProvider';
export const MuiThemeProviderInner = null;
let elev = 0.25;
export const shadows = getShadows();
export { sheetCreator, clearSystemProps, default as createMuiTheme, classesToPlatformSheet, getDefaultTheme, MuiThemeContextTypes } from '../common/index';
export { AppContainer } from './withStyles';
export { default as withStyles } from '../common/withStyles';
export * from '../common/withStyles';
