/// <reference types="react" />
/// <reference types="react-native" />
import ReactN from 'react-native';
import React from 'react';
export declare const MuiThemeProviderInner: React.ComponentType<Muix.IMuiThemeProps>;
export declare const shadows: TakeFrom<ReactN.ViewStyle, Muix.commonCSSPropertiesNames<ReactN.ViewStyle>>[];
export declare const toPlatformRuleSet: (style: Muix.RulesetX<ReactN.TextStyle, Muix.DefaultEmptyShape>) => React.CSSProperties;
export declare const toPlatformSheet: <R extends Muix.Shape>(rules: Partial<Muix.SheetXCommon<R> & Muix.SheetXNative<R> & Muix.SheetXWeb<R>>) => Record<(keyof R["common"]) | R["web"], React.CSSProperties & Muix.RulesetOverridesWeb<R>>;
export { clearSystemProps, sheetCreator, default as createMuiTheme, AppContainerProps, classesToPlatformSheet, getDefaultTheme, MuiThemeContextTypes } from '../common/index';
export { muiCompatible, AppContainer } from './withStyles';
export { rulesetsToClassNames, rulesetToClassNames } from './fela';
export { default as withStyles } from '../common/withStyles';
export * from '../common/withStyles';
export { default as MuiThemeProvider } from '../common/MuiThemeProvider';
export { default as createTypography } from '../common/createTypography';
